data:extend(
{

	-- items
	{
		type = "item",
		name = "tinylamp",
		icon = "__Yuoki__/graphics/icons/kleine_lampe_off_icon.png",
		flags = {"goes-to-quickbar"},
		group = "yuoki",
		subgroup = "y-lamps",
		place_result = "tinylamp",
		stack_size = 50
	},

	{
		type = "item",
		name = "powerlamp",
		icon = "__Yuoki__/graphics/icons/power_lampe_off_icon.png",
		flags = {"goes-to-quickbar"},
		group = "yuoki",
		subgroup = "y-lamps",
		place_result = "powerlamp",
		stack_size = 50
	},

	{
		type = "item",
		name = "bodenlampe",
		icon = "__Yuoki__/graphics/icons/bodenlampe_tech.png",
		flags = {"goes-to-quickbar"},
		group = "yuoki",
		subgroup = "y-lamps",
		place_result = "bodenlampe",
		stack_size = 40
	},
	
	-- recipe
	{
		type = "recipe",
		name = "tinylamp",
		enabled = true,
		ingredients = 
		{    	  	
			{"iron-plate", 1},
			{"copper-cable", 1}		  
		},
		group = "yuoki",
		subgroup = "y-lamps",		
		result = "tinylamp"    
	},

	{
		type = "recipe",
		name = "powerlamp",
		enabled = true,
		ingredients = 
		{    	  	
			{"electronic-circuit", 2},
			{"iron-plate", 3},
			{"copper-plate", 3}		
		},
		group = "yuoki",
		subgroup = "y-lamps",		
		result = "powerlamp"   
	},
	
	{
		type = "recipe",
		name = "bodenlampe",
		enabled = true,
		ingredients = 
		{    
			{"stone", 1},
			{"iron-plate", 1},
			{"copper-cable", 1}		
			
		},
		group = "yuoki",
		subgroup = "y-lamps",	
		result = "bodenlampe"
	},
	
	-- entity
	{
		type = "lamp",
		name = "tinylamp",
		icon = "__Yuoki__/graphics/icons/kleine_lampe_off_icon.png",
		flags = {"placeable-neutral", "player-creation"},
		minable = {hardness = 0.2, mining_time = 0.5, result = "tinylamp"},
		max_health = 50,
		corpse = "small-remnants",
		collision_box = {{-0.1, -0.1}, {0.1, 0.1}},
		selection_box = {{-0.5, -0.5}, {0.5, 0.5}},
		energy_source =
		{
			type = "electric",
			usage_priority = "secondary-input"
		},
		energy_usage_per_tick = "4KW",
		light = {intensity = 0.8, size = 60},
		picture_off =
		{
			filename = "__Yuoki__/graphics/entity/power_lampe.png",
			priority = "high",
			width = 32,
			height = 32,
			shift = {0, 0}
		},
		picture_on =
		{
			filename = "__Yuoki__/graphics/entity/power_lampe.png",
			priority = "high",
			width = 32,
			height = 32,
			x = 32,
			shift = {0, 0}
		}
	},

	{
		type = "lamp",
		name = "powerlamp",
		icon = "__Yuoki__/graphics/icons/power_lampe_off_icon.png",
		flags = {"placeable-neutral", "player-creation"},
		minable = {hardness = 0.2, mining_time = 0.5, result = "powerlamp"},
		max_health = 50,
		corpse = "small-remnants",
		collision_box = {{-0.1, -0.1}, {0.1, 0.1}},
		selection_box = {{-0.5, -0.5}, {0.5, 0.5}},
		energy_source =
		{
			type = "electric",
			usage_priority = "secondary-input"
		},
		energy_usage_per_tick = "9KW",
		light = {intensity = 0.95, size = 80},
		picture_off =
		{
			filename = "__Yuoki__/graphics/entity/power_lamp_v2.png",
			priority = "high",
			width = 32,
			height = 48,
			shift = {0, -0.5}
		},
		picture_on =
		{
			filename = "__Yuoki__/graphics/entity/power_lamp_v2.png",
			priority = "high",
			width = 32,
			height = 48,
			x = 32,
			shift = {0, -0.5}
		}
	},

	{
		type = "lamp",
		name = "bodenlampe",
		icon = "__Yuoki__/graphics/entity/bodenlampe.png",
		flags = {"placeable-neutral", "player-creation"},
		minable = {hardness = 0.2, mining_time = 0.5, result = "bodenlampe"},
		max_health = 50,
		corpse = "small-remnants",
		collision_box = {{-0.1, -0.1}, {0.1, 0.1}},
		selection_box = {{-0.5, -0.5}, {0.5, 0.5}},
		
		energy_source =
		{
			type = "electric",
			usage_priority = "secondary-input"
		},
		energy_usage_per_tick = "1KW",
		light = {intensity = 0.75, size = 8},
		picture_off =
		{
			filename = "__Yuoki__/graphics/entity/bodenlampe.png",
			priority = "high",
			width = 32,
			height = 32,
			shift = {0, 0}
		},
		picture_on =
		{
			filename = "__Yuoki__/graphics/entity/bodenlampe.png",
			priority = "high",
			width = 32,
			height = 32,
			x = 32,
			shift = {0, 0}
		}
	},  
	
})